training - Training #402
RPMS module code
04/06/2020 05:27 AM - Karishma Tak

Status: Closed Start date: 04/25/2020
Priority: Normal Due date:

Assignee: Dolly Malu % Done: 70%
Category: Estimated time: 0.00 hour
Target version: Spent time: 331.65 hours
Description

RPMS Project

1.Create GetSchedulePayOutBatchDetails api

2.update name GetScheduleTransaction api to TriggerTransaction
3. create Getcompany api for get companydetail

History

#1 - 04/06/2020 01:51 PM - Dolly Malu

- Description updated

#2 - 04/14/2020 07:11 AM - Akshay Jain
- % Done changed from 0 to 10

i reviewed the home and business module of cs2 project and make clone of the project and debug it.

#3 - 04/14/2020 01:18 PM - Jitendra Jain

1. Review the CS2 project's business module, orders module, setting module and their sub modules of all modules documentation at yesterday
(13-04-2020)

2. clone the project from git-hub and setup the code on my machine at yesterday (13-04-2020)

3. Custom notification of back-office document, debug code (API) and get understanding of projects flow(design pattern) at today( 14-04-2020)

#4 - 04/14/2020 01:46 PM - Akshay Jain
- % Done changed from 10 to 50

reviewed the code of backoffice and api work flow and gone thorugh order module, setting module and understand the swagger API tool.

#5 - 04/14/2020 01:49 PM - Dolly Malu

- Description updated

#6 - 04/15/2020 01:28 PM - Akshay Jain
- % Done changed from 50 to 70

reviewed the code of customer API's and comapny API's with Report center API's.

#7 - 04/15/2020 01:36 PM - Dolly Malu

- Description updated

#8 - 04/16/2020 05:15 AM - Jitendra Jain

1. Code debugging of CS2 API project and project's understanding continue.( 15-04-2020) only 2 Hours
2. Understanding and working on "Shipping Manager's project" ( 15-04-2020) Remaining Time (7 Hours)

#9 - 04/16/2020 01:15 PM - Akshay Jain
debug the basecore api project and check the flow of the project .
created Two API's for the company detail and employess,

#10 - 04/16/2020 01:23 PM - Dolly Malu

- Description updated

#11 - 04/16/2020 01:30 PM - Jitendra Jain
1. Create a demo plugin(SmartShyp) for "Shipping Manager's project"( 16-04-2020) Remaining Time

#12 - 04/17/2020 12:51 PM - Jitendra Jain
1. I worked on plugin(SmartShyp) for "Shipping Manager's project"( 17-04-2020)

#13 - 04/17/2020 02:07 PM - Dolly Malu

- Description updated

#14 - 04/17/2020 03:01 PM - Akshay Jain
worked on Covid19IRM project

#15 - 04/20/2020 01:25 PM - Jitendra Jain
1. | continue worked on plugin(SmartShyp) for "Shipping Manager's project"( 20-04-2020)

#16 - 04/20/2020 01:34 PM - Dolly Malu

- Description updated

#17 - 04/21/2020 03:34 AM - Akshay Jain
- Start date changed from 04/06/2020 to 04/20/2020

Worked on information API's of COVID19IRM Project and deployed the on git.

#18 - 04/21/2020 01:31 PM - Jitendra Jain
| worked on plugin(SmartShyp) for "Shipping Manager's project"( 20-04-2020) continue and push project on github

#19 - 04/21/2020 01:52 PM - Akshay Jain

| worked on saveconsent api and getconsenthistory and some changes in other api's and push code on github

#20 - 04/21/2020 02:52 PM - Dolly Malu

- Description updated

#21 - 04/22/2020 01:25 PM - Jitendra Jain

| worked on plugin(SmartShyp) for "Shipping Manager's project" continue with marge the new plugin in exist project.

#22 - 04/22/2020 01:34 PM - Dolly Malu

- Description updated

#23 - 04/23/2020 03:43 AM - Akshay Jain
- Start date changed from 04/20/2020 to 04/22/2020

Worked on these three api's
1. GetVisitorConsentHistory
2. SaveConsentinspection
3. SaveVisitorConcent

#24 - 04/23/2020 01:13 PM - Dolly Malu

- Description updated

#25 - 04/23/2020 01:31 PM - Jitendra Jain
Implement new plugin(SmartShyp) in Exist "Shipping Manager Project" and debug it.
#26 - 04/24/2020 03:33 AM - Akshay Jain

Worked on Three API's
1: Getinformation

2: SavelNformation

3: GetconcentHistory

#27 - 04/24/2020 03:34 AM - Akshay Jain
- Start date changed from 04/22/2020 to 04/23/2020

Akshay Jain wrote:

Worked on Three APl's
1: Getinformation

2: SavelNformation

3: GetconcentHistory

#28 - 04/24/2020 01:50 PM - Dolly Malu

- Description updated

#29 - 04/24/2020 01:59 PM - Akshay Jain
- Description updated

- Start date changed from 04/23/2020 to 04/24/2020

worked on Savelnformation,Getinformation,SaveVisitorConsent,GetConsentHistory APl made some changes and push them on git.

#30 - 04/24/2020 02:43 PM - Jitendra Jain
Worked on plugin(SmartShyp) and review "Shipping Manager Project"

#31 - 04/25/2020 02:10 PM - Akshay Jain
- Start date changed from 04/24/2020 to 04/25/2020

added

1. save visitor consent

2. get Visitor consent history

3. 2 common apis (get media types and get information type)

#32 - 04/27/2020 01:27 PM - Dolly Malu

- Description updated

#33 - 04/27/2020 01:35 PM - Akshay Jain

Worked on two api's and checked issues reported by mobile team

1. GetTodayNotice
2. PasswordReset

#34 - 04/27/2020 01:58 PM - Jitendra Jain

Worked on plugin(SmartShyp) and review "Shipping Manager Project" continue.

#35 - 04/28/2020 01:26 PM - Dolly Malu

- Description updated

#36 - 04/28/2020 01:36 PM - Jitendra Jain

Research and development on authorization signature for SmartShyp api

#37 - 04/28/2020 02:44 PM - Akshay Jain

1.Worked on CreateuserFromExcel APl and push code on Git

#38 - 04/29/2020 01:34 PM - Abhishek Jain
Wakaya Perfection: In this read about it's policy and procedures.

C2 Modules: In this | read about this module some of the points which | covered today in this as:
1.Widgets

2. Team DashBoard

3. Visual Tree

4. Report Center

5. Know about API's name which are used in this.

#39 - 04/29/2020 02:34 PM - Akshay Jain

Worked on two API's
1. ForegetPassword
2. ResetPasswordByOTP

#40 - 04/30/2020 01:35 PM - Dolly Malu
- Description updated

#41 - 04/30/2020 01:42 PM - Akshay Jain
- Description updated

Worked on Three API's

1. Implemented SendGrid in ForgotPassword
2. Make changes in PasswordResetByOTP
3. Created a new API DisableUSer

#42 - 04/30/2020 01:45 PM - Abhishek Jain

| reviewd the under Business tab as like:
Report Center

VolumeHistory

Commission

Commission Pay History
Placementsuite

#43 - 05/01/2020 01:39 PM - Akshay Jain

Worked On Three API's
1.UploadFile

2.DisableUser
3.InformationAcknowledgement

#44 - 05/01/2020 01:44 PM - Dolly Malu

- Description updated

#45 - 05/04/2020 01:32 PM - Abhishek Jain

| reviewed the CS2 Module in which | understand the logic behind order tab and action under this tab as like
1.Place an order

2. Manage Autoship

3. Party Dashboard

4. Order History

#46 - 05/04/2020 02:02 PM - Akshay Jain

Worked on the issues Reported by Mobile Team and deploy them on Git and tested verified them by mobile team.

#47 - 05/04/2020 02:22 PM - Dolly Malu

- Description updated

#48 - 05/05/2020 01:55 PM - Akshay Jain

worked on two API's
1:ExporttoExcel
2:SaveEmployyeDailyConsent

#49 - 05/05/2020 02:15 PM - Dolly Malu

- Description updated
#50 - 05/06/2020 02:13 PM - Dolly Malu
- Subject changed from Take kt of Cs2 module in back office to RPMS module code

- Description updated

#51 - 05/07/2020 01:35 PM - Abhishek Jain

| reviewed the some tabs of cs2 module as like
1.Tools

2.Training

3.Settings

4.Some core widgets under specific tab

#52 - 05/07/2020 02:37 PM - Dolly Malu
- Description updated

#53 - 05/08/2020 01:27 PM - Abhishek Jain

| reviewed and understand the cs2 module tabs as like
1. Core Widgets 2. Custom Widgets 3. Custom Pages 4. Admin CS1 Pages etc.

#54 - 05/08/2020 02:01 PM - Dolly Malu
- Description updated

#55 - 05/11/2020 03:30 PM - Dolly Malu
- Description updated

#56 - 05/11/2020 05:23 PM - Abhishek Jain

Reviewed some tabs under admin cs1 pages

#57 - 05/12/2020 01:57 PM - Dolly Malu
- Description updated

#58 - 05/13/2020 03:25 PM - Dolly Malu
- Description updated

#59 - 05/14/2020 03:26 PM - Dolly Malu
- Description updated

#60 - 05/18/2020 03:19 PM - Dolly Malu
- Description updated

#61 - 05/19/2020 01:56 PM - Dolly Malu
- Description updated

#62 - 05/20/2020 01:46 PM - Abhishek Jain

| reviewed the some module of it as
Page-configuration and modules under this tab
Web office configuration

#63 - 05/20/2020 01:49 PM - Dolly Malu

- Description updated

#64 - 05/21/2020 01:36 PM - Dolly Malu

- Description updated

#65 - 05/21/2020 01:48 PM - Abhishek Jain

| reviewed the pending modules of cs2 module document

#66 - 05/22/2020 01:38 PM - Dolly Malu

- Description updated
#67 - 05/25/2020 02:19 PM - Dolly Malu
- Description updated

#68 - 05/26/2020 02:35 PM - Dolly Malu
- Description updated

#69 - 05/27/2020 04:19 PM - Dolly Malu
- Description updated

#70 - 05/28/2020 02:19 PM - Dolly Malu
- Description updated

#71 - 05/29/2020 03:29 PM - Dolly Malu
- Description updated

#72 - 06/01/2020 04:15 PM - Dolly Malu
- Description updated

#73 - 06/02/2020 02:10 PM - Dolly Malu
- Description updated

#74 - 06/03/2020 02:39 PM - Dolly Malu
- Description updated

#75 - 06/04/2020 02:54 PM - Dolly Malu
- Description updated

#76 - 06/05/2020 01:58 PM - Dolly Malu
- Description updated

#77 - 06/08/2020 03:00 PM - Dolly Malu
- Description updated

#78 - 06/09/2020 03:08 PM - Dolly Malu
- Description updated

#79 - 06/10/2020 03:15 PM - Dolly Malu
- Description updated

#80 - 06/11/2020 03:03 PM - Dolly Malu
- Description updated

#81 - 06/12/2020 02:41 PM - Dolly Malu
- Description updated

#82 - 06/15/2020 07:12 PM - Dolly Malu

- Description updated

#83 - 06/16/2020 01:47 PM - Dolly Malu

- Description updated

#84 - 06/17/2020 03:33 PM - Dolly Malu

- Description updated

#85 - 06/18/2020 03:33 PM - Dolly Malu

- Description updated
#86 - 06/19/2020 03:19 PM - Dolly Malu
- Description updated

#87 - 06/22/2020 03:36 PM - Dolly Malu
- Description updated

#88 - 06/23/2020 05:30 PM - Dolly Malu
- Description updated

#89 - 06/24/2020 04:26 PM - Dolly Malu
- Description updated

#90 - 06/25/2020 03:11 PM - Dolly Malu

- Description updated

#91 - 06/26/2020 03:08 PM - Dolly Malu
- Description updated

#92 - 06/27/2020 02:19 PM - Dolly Malu
- Description updated

#93 - 06/29/2020 03:14 PM - Dolly Malu
- Description updated

#94 - 06/30/2020 02:29 PM - Dolly Malu
- Description updated

#95 - 07/01/2020 02:13 PM - Dolly Malu
- Description updated

#96 - 07/02/2020 05:53 PM - Dolly Malu
- Description updated

#97 - 06/26/2024 05:33 AM - Karishma Tak

- Status changed from New to Closed
